summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/linhes_update3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-system/linhes_update3.sh')
-rw-r--r--abs/core/LinHES-system/linhes_update3.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/abs/core/LinHES-system/linhes_update3.sh b/abs/core/LinHES-system/linhes_update3.sh
new file mode 100644
index 0000000..72641db
--- /dev/null
+++ b/abs/core/LinHES-system/linhes_update3.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
+sudo killall osd_cat
+cat /tmp/to_be_upgraded | sed 's/ /\n/g' | sed '/^$/d' | grep - > /tmp/to_be_upgraded2
+COUNT=$(wc -l /tmp/to_be_upgraded2 | awk '{print $1}')
+if [ $COUNT -lt 20 ]
+ then
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=12 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ else
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=1 --wait --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+fi
+if grep kernel26 /tmp/to_be_upgraded2
+then
+ killall -9 osd_cat
+ echo -e "Please note:\The kernel will be upgraded.\nThis will require a reboot.\nPlease do so when no jobs are running." | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
+else
+ exit
+fi